#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QDesktopWidget>
#include <QDebug>
#include <QProcess>
#include <QString>
#include <QMenu>
#include <QAction>
#include <QMessageBox>
#include <QFile>
#include <QTranslator>
#include <QPixmap>
#include <QImage>
#include "sharesdialog.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    sharesDialog *sD = new sharesDialog;
    
private:
    Ui::MainWindow *ui;
    QProcess *connectRun = new QProcess(this);
    QProcess *sambaShares = new QProcess(this);
    QString output;
    QString lastMountpoint;
    QString lastIP;
    QString shares;


private slots:
    void center();
    void genMenu();
    void on_serverEdit_cursorPositionChanged();
    void on_connectBtn_clicked();
    void makeSFTPConnection(QString ip, QString user, QString pw);
    void checkStatus(int stat,QProcess::ExitStatus);
    void updateError();
    void updateOutput();
    void showAbout();
    void on_abortBtn_clicked();
    void unmount();
    void setConnectStatus(QString status);
    void makeSAMBAConnection(QString ip, QString user, QString pw);
    void checkShares(int stat, QProcess::ExitStatus);
    void updateShares();
    void on_serverEdit_returnPressed();
    void on_password_returnPressed();
    void on_typeBox_currentIndexChanged(const QString &arg1);
    void on_username_returnPressed();
};

#endif // MAINWINDOW_H
