#!/bin/bash

#################################################################
# For KDE Services. 2011-2013.					#
# By Geovani Barzaga Rodriguez <igeo.cu@gmail.com>		#
# modified for knetwork by Leszek Lesner #
#################################################################

PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/$USER/bin
OPTION=""
SERVER=""
LOGIN=""
PW=""
HOST=""
MOUNTPOINT=""

###################################
############ Functions ############
###################################

if-cancel-exit() {
    if [ "$?" -gt "0" ]; then
        exit 0
    fi
}

##############################
############ Main ############
##############################

if [ ! -s ~/.kde-services/machines ]; then
    mkdir ~/.kde-services 2> /dev/null
    echo localhost > ~/.kde-services/machines 2> /dev/null
fi


MOUNTPOINT=$(mount |grep fuse.sshfs|awk -F " " '{print $3}')
MOUNTPOINTCIFS=$(mount|grep -w cifs|awk -F " " '{print $3}')
    
if [ "$MOUNTPOINT" = "" ] && [ "$MOUNTPOINTCIFS" = "" ]; then
  kdialog --icon=sshfs --title="Unmount" \
  --sorry="No Mountpoint: First Mount Remote Directory" 2> /dev/null
  exit 1
fi

if [ ! "$MOUNTPOINT" = "" ]; then
  HOST=$(kdialog --icon=sshfs --title="Unmount" \
      --combobox="Select Mountpoint" $MOUNTPOINT $MOUNTPOINTCIFS  \
      --default $(echo $(mount |grep fuse.sshfs|awk -F " " '{print $3}')|xargs -n1 2> /dev/null|head -n1) 2> /dev/null)
  if-cancel-exit
elif [ ! "$MOUNTPOINTCIFS" = "" ]; then
  HOST=$(kdialog --icon=sshfs --title="Unmount" \
      --combobox="Select Mountpoint" $MOUNTPOINT $MOUNTPOINTCIFS  \
      --default $(echo $(mount|grep -w cifs|awk -F " " '{print $3}')|xargs -n1 2> /dev/null|head -n1) 2> /dev/null)
  if-cancel-exit  
fi

if grep -q $HOST <<<$MOUNTPOINT; then
  fusermount -zu $HOST && rmdir $HOST
elif grep -q $HOST <<<$MOUNTPOINTCIFS; then
  kdesudo -d --noignorebutton "umount $HOST" && rmdir $HOST
fi
kdialog --icon=sshfs --title="Knetworkmanager" --passivepopup="Unmount Finished" 2> /dev/null
